Gentoo Archives: gentoo-pms

From: Ciaran McCreesh <ciaran.mccreesh@××××××××××.com>
To: gentoo-pms@l.g.o
Subject: [gentoo-pms] Do we want an EAPI 5?
Date: Thu, 30 Jun 2011 10:34:46
Message-Id: 20110630113154.32b8db1f@googlemail.com
Should we start pushing for a reasonably quick EAPI 5? I'd see it as
having:

* The stuff that was left out of EAPI 3/4, which is to say :=/:*
  dependencies, and the IUSE_IMPLICIT stuff (especially since right
  now people are breaking the rules and implicitly using 'prefix' when
  they shouldn't, and the rules for (+) and (-) are largely useless
  without the stricter control).

* Cleaning up some deprecated stuff (see recent bugs).

* A replacement for versionator, since apparently versionator is still
  using (a subset of) the ooooold version rules.

I think there was something else too, but I forget what...

-- 
Ciaran McCreesh

Attachments

File name MIME type
signature.asc application/pgp-signature

Replies

Subject Author
Re: [gentoo-pms] Do we want an EAPI 5? Sebastian Luther <SebastianLuther@×××.de>